<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:context="http://www.springframework.org/schema/context"
	xsi:schemaLocation="
http://www.springframework.org/schema/beans
http://www.springframework.org/schema/beans/spring-beans-3.2.xsd
http://www.springframework.org/schema/context
http://www.springframework.org/schema/context/spring-context-3.2.xsd
">
	<bean id="propertyConfigurer" class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer" >
		<property name="ignoreResourceNotFound" value="true" />
		<property name="locations">
			<list>
				<value>/WEB-INF/application.properties</value>
			</list>
		</property>
	</bean>

	<bean id="properties" class="org.springframework.beans.factory.config.PropertiesFactoryBean" >
		<property name="ignoreResourceNotFound" value="true" />
		<property name="locations">
			<list>
				<value>/WEB-INF/application.properties</value>
			</list>
		</property>
	</bean>
	
	<import resource="classpath*:service-context.xml" />
	<!-- <import resource="redis-context.xml" /> -->
	<import resource="spring-cache.xml" />

	<bean id="springContextHolder" class="cn.com.qmth.stmms.biz.utils.SpringContextHolder"/>
	<bean id="sessionService" class="cn.com.qmth.stmms.common.session.service.impl.CookieSessionServiceImpl"/>
	<!-- 配置 JSR303 Bean Validator 定义 -->
	<bean id="validator" class="org.springframework.validation.beanvalidation.LocalValidatorFactoryBean" />
	
	<bean id="taskExecutor" class="org.springframework.scheduling.concurrent.ThreadPoolTaskExecutor">
		<property name="corePoolSize" value="2"/>
		<property name="maxPoolSize" value="20"/>
	</bean>
</beans>